# Type alias TableProvider

TableProvider: {
configuration_workflow: ((req) => AbstractWorkflow);
fields: ((cfg) => Promise<FieldLike[]>);
get_table: ((cfg) => Promise<Partial<AbstractTable>>);
}

#### Type declaration

- ##### configuration_workflow: ((req) => AbstractWorkflow)

  - - (req): AbstractWorkflow

    - #### Parameters

      - ##### req: Req

      #### Returns AbstractWorkflow

- ##### fields: ((cfg) => Promise<FieldLike[]>)

  - - (cfg): Promise<FieldLike[]>

    - #### Parameters

      - ##### cfg: GenObj

      #### Returns Promise<FieldLike[]>

- ##### get_table: ((cfg) => Promise<Partial<AbstractTable>>)

  - - (cfg): Promise<Partial<AbstractTable>>

    - #### Parameters

      - ##### cfg: GenObj

      #### Returns Promise<Partial<AbstractTable>>

- Defined in saltcorn-types/base_types.ts:498

Generated using TypeDoc